# Ensi\FeedClient\ActualCategoryPropertiesApi

All URIs are relative to *http://localhost/api/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**searchActualCategoryProperties**](ActualCategoryPropertiesApi.md#searchActualCategoryProperties) | **POST** /categories/actual-category-properties:search | Search for objects of type ActualCategoryProperty



## searchActualCategoryProperties

> \Ensi\FeedClient\Dto\SearchActualCategoryPropertiesResponse searchActualCategoryProperties($search_actual_category_properties_request)

Search for objects of type ActualCategoryProperty

Search for objects of type ActualCategoryProperty

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


$apiInstance = new Ensi\FeedClient\Api\ActualCategoryPropertiesApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client()
);
$search_actual_category_properties_request = new \Ensi\FeedClient\Dto\SearchActualCategoryPropertiesRequest(); // \Ensi\FeedClient\Dto\SearchActualCategoryPropertiesRequest | 

try {
    $result = $apiInstance->searchActualCategoryProperties($search_actual_category_properties_request);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling ActualCategoryPropertiesApi->searchActualCategoryProperties: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **search_actual_category_properties_request** | [**\Ensi\FeedClient\Dto\SearchActualCategoryPropertiesRequest**](../Model/SearchActualCategoryPropertiesRequest.md)|  |

### Return type

[**\Ensi\FeedClient\Dto\SearchActualCategoryPropertiesResponse**](../Model/SearchActualCategoryPropertiesResponse.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../../README.md#documentation-for-models)
[[Back to README]](../../README.md)

